LibreOffice LibreOffice 5.3 SDK C/C++ API Reference

Public Member Functions | Friends | List of all members
osl::VolumeDevice Class Reference

The VolumeDevice class. More...

`#include <file.hxx>`

Inheritance diagram for osl::VolumeDevice:

## Public Member Functions
| VolumeDevice ()
| Constructor. More...
| VolumeDevice (const VolumeDevice &rDevice)
| Copy constructor. More...
| ~VolumeDevice ()
| Destructor. More...
VolumeDevice & | operator= (const VolumeDevice &rDevice)
| Assignment operator. More...
rtl::OUString | getMountPath ()
| Get the full qualified URL where a device is mounted to. More...

## Friends
class | VolumeInfo

## Additional Inherited Members
Public Types inherited from osl::FileBase
enum | RC { E_None = osl_File_E_None, E_PERM = osl_File_E_PERM, E_NOENT = osl_File_E_NOENT, E_SRCH = osl_File_E_SRCH, E_INTR = osl_File_E_INTR, E_IO = osl_File_E_IO, E_NXIO = osl_File_E_NXIO, E_2BIG = osl_File_E_2BIG, E_NOEXEC = osl_File_E_NOEXEC, E_BADF = osl_File_E_BADF, E_CHILD = osl_File_E_CHILD, E_AGAIN = osl_File_E_AGAIN, E_NOMEM = osl_File_E_NOMEM, E_ACCES = osl_File_E_ACCES, E_FAULT = osl_File_E_FAULT, E_BUSY = osl_File_E_BUSY, E_EXIST = osl_File_E_EXIST, E_XDEV = osl_File_E_XDEV, E_NODEV = osl_File_E_NODEV, E_NOTDIR = osl_File_E_NOTDIR, E_ISDIR = osl_File_E_ISDIR, E_INVAL = osl_File_E_INVAL, E_NFILE = osl_File_E_NFILE, E_MFILE = osl_File_E_MFILE, E_NOTTY = osl_File_E_NOTTY, E_FBIG = osl_File_E_FBIG, E_NOSPC = osl_File_E_NOSPC, E_SPIPE = osl_File_E_SPIPE, E_ROFS = osl_File_E_ROFS, E_MLINK = osl_File_E_MLINK, E_PIPE = osl_File_E_PIPE, E_DOM = osl_File_E_DOM, E_RANGE = osl_File_E_RANGE, E_DEADLK = osl_File_E_DEADLK, E_NAMETOOLONG = osl_File_E_NAMETOOLONG, E_NOLCK = osl_File_E_NOLCK, E_NOSYS = osl_File_E_NOSYS, E_NOTEMPTY = osl_File_E_NOTEMPTY, E_LOOP = osl_File_E_LOOP, E_ILSEQ = osl_File_E_ILSEQ, E_NOLINK = osl_File_E_NOLINK, E_MULTIHOP = osl_File_E_MULTIHOP, E_USERS = osl_File_E_USERS, E_OVERFLOW = osl_File_E_OVERFLOW, E_NOTREADY = osl_File_E_NOTREADY, E_invalidError = osl_File_E_invalidError, E_TIMEDOUT = osl_File_E_TIMEDOUT, E_NETWORK = osl_File_E_NETWORK }
Static Public Member Functions inherited from osl::FileBase
static RC | getCanonicalName (const ::rtl::OUString &ustrRequestedURL, ::rtl::OUString &ustrValidURL)
| Determine a valid unused canonical name for a requested name. More...
static RC | getAbsoluteFileURL (const ::rtl::OUString &ustrBaseDirectoryURL, const ::rtl::OUString &ustrRelativeFileURL, ::rtl::OUString &ustrAbsoluteFileURL)
| Convert a path relative to a given directory into an full qualified file URL. More...
static RC | getSystemPathFromFileURL (const ::rtl::OUString &ustrFileURL, ::rtl::OUString &ustrSystemPath)
| Convert a file URL into a system dependent path. More...
static RC | getFileURLFromSystemPath (const ::rtl::OUString &ustrSystemPath, ::rtl::OUString &ustrFileURL)
| Convert a system dependent path into a file URL. More...
static RC | searchFileURL (const ::rtl::OUString &ustrFileName, const ::rtl::OUString &ustrSearchPath, ::rtl::OUString &ustrFileURL)
| Searche a full qualified system path or a file URL. More...
static RC | getTempDirURL (::rtl::OUString &ustrTempDirURL)
| Retrieves the file URL of the system's temporary directory path. More...
static RC | createTempFile (::rtl::OUString *pustrDirectoryURL, oslFileHandle *pHandle, ::rtl::OUString *pustrTempFileURL)
| Creates a temporary file in the directory provided by the caller or the directory returned by getTempDirURL. More...

## Detailed Description

The VolumeDevice class.

See also
  VolumeInfo

## Constructor & Destructor Documentation

## ◆ VolumeDevice() [1/2]

osl::VolumeDevice::VolumeDevice | ( |  | ) |
| inline

Constructor.

## ◆ VolumeDevice() [2/2]

osl::VolumeDevice::VolumeDevice | ( | const VolumeDevice & | rDevice | ) |
| inline

Copy constructor.

Parameters

  rDevice | The other volume device.

## ◆ ~VolumeDevice()

osl::VolumeDevice::~VolumeDevice | ( |  | ) |
| inline

Destructor.

## Member Function Documentation

## ◆ getMountPath()

rtl::OUString osl::VolumeDevice::getMountPath | ( |  | ) |
| inline

Get the full qualified URL where a device is mounted to.

Returns
  The full qualified URL where the device is mounted to.

## ◆ operator=()

VolumeDevice& osl::VolumeDevice::operator= | ( | const VolumeDevice & | rDevice | ) |
| inline

Assignment operator.

Parameters

  rDevice | The other volume device.

## Friends And Related Function Documentation

## ◆ VolumeInfo

friend class VolumeInfo
| friend

The documentation for this class was generated from the following file:

- osl/file.hxx